Bug 109526 - Installing RealPlayer RPM trashes RPM database
Summary: Installing RealPlayer RPM trashes RPM database
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-09 01:29 UTC by J. J. Ramsey
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-22 15:35:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description J. J. Ramsey 2003-11-09 01:29:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Knowing that RealPlayer does not get along with NPTL, I installed the
RPM by running

LD_ASSUME_KERNEL=2.4.19 rpm -Uvh rp8_linux20_libc6_i386_cs2_rpm

This at first appeared to work, but running rpm -ql would get me some
complaint about db_error. (Sorry, but I don't have the error message
handy to cut and paste.) I then ran "rpm --rebuilddb" to fix the
problem, and things fell apart. "rpm -q rpm" yields "package rpm is
not installed", even though rpm is installed. Same story with the yum,
gcc, and several others. "rpm -qa" does list several rpms--but not all
the ones that are installed.

If I could find out how to recover without reinstalling Fedora, that
would be nice!


Version-Release number of selected component (if applicable):
RPM version 4.2.1

How reproducible: Didn't try (Of course I didn't try! Right, like I'm
going to reinstall Fedora to get a sane RPM database so I can trash
the database?!?)

Comment 1 Jeff Johnson 2003-11-10 17:58:32 UTC
Try
    rm -f /var/lib/rpm/__db*
    rpm --rebuilddb -vv
Verify by doing
    rpm -qa

BTW, adding LD_ASSUME_KERNEL during install does not affect
realplayer execution whatsoever.

Comment 2 J. J. Ramsey 2003-11-10 21:33:48 UTC
> BTW, adding LD_ASSUME_KERNEL during install does not affect
> realplayer execution whatsoever.

As explained on fedora-list, the RealPlayer RPM pops up a GUI during
the post-install. LD_ASSUME_KERNEL does affect *that*.


Comment 3 Jeff Johnson 2003-11-22 15:35:49 UTC
Then this is a packaging error, and the %post needs to
add LD_ASSUME_KERNEL. rpm has never supported envvars passed
from the CLI to a scriptlet. If anything, the environment will
be trashed and burned in rpm to make packages installable w/o envvars.


Note You need to log in before you can comment on or make changes to this bug.